Bug 1118498 - TypeError: unsupported operand type(s) for /: 'NoneType' and 'float'
Summary: TypeError: unsupported operand type(s) for /: 'NoneType' and 'float'
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:db61038c73930951fb134c1ed93...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 20:56 UTC by Reto Gantenbein
Modified: 2014-07-29 08:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 08:36:45 UTC


Attachments (Terms of Use)
File: anaconda-tb (138.13 KB, text/plain)
2014-07-10 20:56 UTC, Reto Gantenbein
no flags Details
File: anaconda.log (3.45 KB, text/plain)
2014-07-10 20:56 UTC, Reto Gantenbein
no flags Details
File: environ (394 bytes, text/plain)
2014-07-10 20:56 UTC, Reto Gantenbein
no flags Details
File: ks.cfg (1.22 KB, text/plain)
2014-07-10 20:56 UTC, Reto Gantenbein
no flags Details
File: lsblk_output (988 bytes, text/plain)
2014-07-10 20:56 UTC, Reto Gantenbein
no flags Details
File: nmcli_dev_list (4.45 KB, text/plain)
2014-07-10 20:56 UTC, Reto Gantenbein
no flags Details
File: os_info (375 bytes, text/plain)
2014-07-10 20:56 UTC, Reto Gantenbein
no flags Details
File: program.log (20.41 KB, text/plain)
2014-07-10 20:56 UTC, Reto Gantenbein
no flags Details
File: storage.log (34.99 KB, text/plain)
2014-07-10 20:57 UTC, Reto Gantenbein
no flags Details
File: syslog (58.04 KB, text/plain)
2014-07-10 20:57 UTC, Reto Gantenbein
no flags Details
File: ifcfg.log (2.83 KB, text/plain)
2014-07-10 20:57 UTC, Reto Gantenbein
no flags Details
File: packaging.log (1.12 KB, text/plain)
2014-07-10 20:57 UTC, Reto Gantenbein
no flags Details
Fedora 20 kickstart file (1.14 KB, text/plain)
2014-07-11 04:51 UTC, Reto Gantenbein
no flags Details

Description Reto Gantenbein 2014-07-10 20:56:46 UTC
Description of problem:


Version-Release number of selected component:
anaconda-20.25.15-1

The following was filed automatically by anaconda:
anaconda 20.25.15-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 812, in execute
    "chunksize": self.chunk_size / 1024.0 }
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 666, in execute
    l.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1750, in doKickstartStorage
    ksdata.logvol.execute(storage, ksdata, instClass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/spokes/storage.py", line 260, in execute
    doKickstartStorage(self.storage, self.data, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/hubs/summary.py", line 51, in setup
    spoke.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/__init__.py", line 166, in setup
    should_schedule = obj.setup(self.ENVIRONMENT)
  File "/sbin/anaconda", line 1118, in <module>
    anaconda._intf.setup(ksdata)
TypeError: unsupported operand type(s) for /: 'NoneType' and 'float'

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   method=http://formosa.mobile.wg42.ch/fedora/20/ inst.text inst.sshd ks=http://formosa.mobile.wg42.ch/ks/anaconda-ks.cfg
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.11.10-301.fc20.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        20

Comment 1 Reto Gantenbein 2014-07-10 20:56:49 UTC
Created attachment 917176 [details]
File: anaconda-tb

Comment 2 Reto Gantenbein 2014-07-10 20:56:51 UTC
Created attachment 917177 [details]
File: anaconda.log

Comment 3 Reto Gantenbein 2014-07-10 20:56:52 UTC
Created attachment 917178 [details]
File: environ

Comment 4 Reto Gantenbein 2014-07-10 20:56:53 UTC
Created attachment 917179 [details]
File: ks.cfg

Comment 5 Reto Gantenbein 2014-07-10 20:56:55 UTC
Created attachment 917180 [details]
File: lsblk_output

Comment 6 Reto Gantenbein 2014-07-10 20:56:56 UTC
Created attachment 917181 [details]
File: nmcli_dev_list

Comment 7 Reto Gantenbein 2014-07-10 20:56:57 UTC
Created attachment 917182 [details]
File: os_info

Comment 8 Reto Gantenbein 2014-07-10 20:56:59 UTC
Created attachment 917183 [details]
File: program.log

Comment 9 Reto Gantenbein 2014-07-10 20:57:01 UTC
Created attachment 917184 [details]
File: storage.log

Comment 10 Reto Gantenbein 2014-07-10 20:57:03 UTC
Created attachment 917185 [details]
File: syslog

Comment 11 Reto Gantenbein 2014-07-10 20:57:04 UTC
Created attachment 917186 [details]
File: ifcfg.log

Comment 12 Reto Gantenbein 2014-07-10 20:57:05 UTC
Created attachment 917187 [details]
File: packaging.log

Comment 13 Reto Gantenbein 2014-07-10 21:26:04 UTC
Hi

I tried to kickstart a system which has its root LV stored on a LVM thin pool volume. I just found [1], so I'm not sure if the feature is already expected to work yet or not. Unfortunately there is no update on the progress of this since half a year. Furthermore the LVM thin pool kickstart options are mentioned in the Fedora 20 as well as the RHEL 7 and CentOS 7 installation docs.

[1]: https://fedoraproject.org//wiki/Changes/InstallerLVMThinProvisioningSupport

Actually I first found the bug when trying to kickstart a CentOS 7 system with a kickstart file which was generated when interactively configuring the desired setup during a manual installation. Therefore the problem also exists with anaconda-19.31.79-1.

The kickstart file which was used to generate this bug report is the adapted anaconda-ks.cfg from the CentOS 7 installation. It might be as well, that it has some flaws. But none that were obvious to me when consulting the documentation. Also the ksvalidator didn't complain about it.

Cheers, Reto

Comment 14 Reto Gantenbein 2014-07-11 04:51:14 UTC
Created attachment 917251 [details]
Fedora 20 kickstart file

Ah... my bad. I used a CentOS 7 installation kickstart config when uploading this bug. Here's my adapted version for installing a Fedora 20 system which also fails with the same error.

Comment 15 Reto Gantenbein 2014-07-27 06:21:11 UTC
The error doesn't happen anymore, if I explicitly specify the '--chunksize' argument on the thinpool logical volume:

logvol None --fstype="None" --size=7168 --name=p_system --vgname=vg_system --thinpool --chunksize=64

Cheers, Reto


Note You need to log in before you can comment on or make changes to this bug.